<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />

    <uses-permission
        android:name="android.permission.BATTERY_STATS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!--    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />-->
    <!--    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_DATA_SYNC" />-->


    <queries>
        <intent>
            <action android:name="android.intent.action.MAIN" />
        </intent>
        <intent>
            <action android:name="android.intent.action.VIEW" />
        </intent>
    </queries>

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_vnirij"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_vnirij_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.AppTheme"
        tools:targetApi="35">

        <activity
            android:name=".ui.splash.SplashActivity"
            android:enabled="true"
            android:excludeFromRecents="true"
            android:exported="true"
            android:launchMode="singleTop"
            android:noHistory="true"
            android:roundIcon="@mipmap/logo"
            android:screenOrientation="portrait"
            android:theme="@style/splash.theme"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
                <data
                    android:host="com.facebook.api"
                    android:scheme="com.facebook.api" />
            </intent-filter>
        </activity>
        <activity-alias
            android:name="com.clean.luck.clean.gjtikg"
            android:enabled="false"
            android:exported="true"
            android:icon="@mipmap/logo"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:roundIcon="@mipmap/logo"
            android:targetActivity=".ui.splash.SplashActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity-alias>

        <activity
            android:name=".ui.main.MainActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>

        <activity
            android:name=".ui.language.LanguageActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.guide.GuideActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.guide.GuideExperienceActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.qjzep.irdlt.waxmu.Ppactu"
            android:configChanges="smallestScreenSize|screenSize|uiMode|screenLayout|orientation|keyboardHidden"
            android:excludeFromRecents="true"
            android:exported="false"
            android:icon="@drawable/uua_sb"
            android:label="@string/IIHJDD"
            android:launchMode="singleTask"
            android:screenOrientation="nosensor"
            android:theme="@style/Guide.Theme" />
        <activity
            android:name=".ui.guide.GuideCleanActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.batteryinfo.BatteryInfoActivity"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.clean.JunkCleanActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.cleanresult.CleanResultActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.largefile.LargeFileCleanActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.screenshot.ScreenshotCleanActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.similar.SimilarPhotosActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.photocompression.PhotoCompressionActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.set.SettingActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.photocompression.PhotoCompressionDetailActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.appuninstall.AppUninstallActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.deviceinfo.DeviceInfoActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.deviceinfo.DeviceInfoDetailActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />


        <activity
            android:name=".ui.guide2.Guide0Activity"
            android:enabled="true"
            android:excludeFromRecents="true"
            android:exported="true"
            android:launchMode="singleTop"
            android:noHistory="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.INFO" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <receiver
            android:name=".business.push.receiver.AlarmReceiver"
            android:enabled="true"
            android:exported="true"
            android:permission="android.permission.RECEIVE_BOOT_COMPLETED">
            <intent-filter>
                <action android:name="android.intent.action.USER_PRESENT" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
                <action android:name="android.intent.action.ACTION_POWER_DISCONNECTED" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />

                <data android:scheme="package" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
                <action android:name="android.net.wifi.STATE_CHANGE" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.MEDIA_EJECT" />
                <action android:name="android.intent.action.MEDIA_MOUNTED" />

                <data android:scheme="file" />
            </intent-filter>
        </receiver>

        <service
            android:name=".business.service.StayJobService"
            android:exported="false"
            android:foregroundServiceType="dataSync"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name=".business.push.fcm.MessagingService"
            android:directBootAware="true"
            android:exported="false"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <receiver
            android:name=".business.push.fcm.FcmReceiver"
            android:directBootAware="true"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />

                <category android:name="com.link.play.fit.ai.test1" />
            </intent-filter>
        </receiver>

        <!--        <meta-data-->
        <!--            android:name="com.google.android.gms.ads.APPLICATION_ID"-->
        <!--            android:value="ca-app-pub-3940256099942544~3347511713" />-->
        <!--        <meta-data-->
        <!--            android:name="com.google.android.gms.ads.APPLICATION_ID"-->
        <!--            android:value="ca-app-pub-2547387438729744~9596900917" />-->
        <!--        <meta-data-->
        <!--            android:name="com.google.android.gms.version"-->
        <!--            android:value="@integer/google_play_services_version" />-->

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

    </application>

</manifest>